summaryrefslogtreecommitdiffstats
path: root/trunk/testsuite/deps1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'trunk/testsuite/deps1.sh')
-rwxr-xr-xtrunk/testsuite/deps1.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/trunk/testsuite/deps1.sh b/trunk/testsuite/deps1.sh
index c345c07..2b5e0cf 100755
--- a/trunk/testsuite/deps1.sh
+++ b/trunk/testsuite/deps1.sh
@@ -25,7 +25,7 @@ for lib in `cat syslnk.list`; do
cp -dp $lib deps1.tree/lib
done
$CCLINK -o deps1.tree/usr/bin/bin1 $srcdir/deps1.c \
- -Wl,-rpath,deps1.tree/usr/lib -L deps1.tree/usr/lib -l3
+ -Wl,-rpath,deps1.tree/usr/lib -L deps1.tree/usr/lib -l3 -l1 -l2
cat > deps1.tree/etc/prelink.conf <<EOF
deps1.tree/usr/bin
deps1.tree/lib
@@ -41,7 +41,9 @@ chmod 644 `ls $BINS | sed 's|$|.orig|'`
echo $PRELINK ${PRELINK_OPTS--v} -avvvvv > deps1.log
$PRELINK ${PRELINK_OPTS--v} -avvvvv > deps1.tree/etc/log1 2>&1 || exit 1
cat deps1.tree/etc/log1 >> deps1.log
-LD_LIBRARY_PATH=deps1.tree/lib deps1.tree/usr/bin/bin1 || exit 2
+if [ "x$CROSS" = "x" ]; then
+ LD_LIBRARY_PATH=deps1.tree/lib deps1.tree/usr/bin/bin1 || exit 2
+fi
readelf -d deps1.tree/{usr,opt}/lib/lib1.so 2>&1 | grep CHECKSUM >> deps1.log || exit 3
readelf -A deps1.tree/usr/lib/lib1.so >> deps1.log 2>&1 || exit 4
readelf -A deps1.tree/opt/lib/lib1.so >> deps1.log 2>&1 || exit 5